Mein MATLAB Forum - goMatlab.de

Mein MATLAB Forum

 
Gast > Registrieren       Autologin?   

Bücher:

Rapid Control Prototyping: Methoden und Anwendungen

Studierende:
weitere Angebote

Partner:


Vermarktungspartner


Forum
      Option
[Erweitert]
  • Diese Seite per Mail weiterempfehlen
     


Gehe zu:  
Neues Thema eröffnen Neue Antwort erstellen

Octave Package Problem

 

Gast



Beiträge: ---
Anmeldedatum: ---
Wohnort: ---
Version: ---
     Beitrag Verfasst am: 02.11.2015, 21:48     Titel: Octave Package Problem
  Antworten mit Zitat      
Hallo liebe Leute,

ich versuche seit zwei Wochen Octave bei mir zum Laufen zu kriegen. Ich benutze derzeit einen Mac OS X El Capitan (10.11) und habe mir Octave 3.8.2 installiert. Mir ist durchaus klar, dass Octave für Mac noch nicht ganz ausgereift ist, also hab ich mir 4.0.0 auch für meinen alten PC (windows Vista) geladen.

Wenn ich aber versuche ein Package zu installieren, kommt folgende Fehlermeldung (sowohl auf windows als auch auf Mac)

>> pkg install -forge io
g++-mp-4.9: warning: couldn't understand kern.osversion '15.0.0
g++-mp-4.9: warning: couldn't understand kern.osversion '15.0.0
ld: library not found for -lgcc_s.10.4
collect2: error: ld returned 1 exit status
make: *** [csvexplode.oct] Error 1
mkoctfile csvexplode.cc

pkg: error running `make' for the io package.
error: called from 'configure_make' in file /usr/local/octave/3.8.2/share/octave/3.8.2/m/pkg/private/configure_make.m near line 82, column 9
error: called from:
error: /usr/local/octave/3.8.2/share/octave/3.8.2/m/pkg/private/install.m at line 199, column 5
error: /usr/local/octave/3.8.2/share/octave/3.8.2/m/pkg/pkg.m at line 394, column 9

Das ist jetzt die Fehlermeldung vom Mac. Bei Windows erhalte ich jedoch diesselbe (andere Pfadangaben), und auch egal für welches Package.

Kennt sich da jemand aus und weiß wie man es beheben kann? Egal ob für Windows oder Mac, hauptsache es funktioniert irgendwo.

Liebe Grüße


hibr01
Forum-Newbie

Forum-Newbie


Beiträge: 3
Anmeldedatum: 29.02.16
Wohnort: ---
Version: ---
     Beitrag Verfasst am: 01.03.2016, 12:43     Titel:
  Antworten mit Zitat      
Ich glaube ich hatte letztlich auch Probleme io aus dem Forge zu installieren.

Habe sie unter Windows, dann lokal installiert. Ich habe auch die Erfahrung gemacht, das Package Installationen fehlschlagen, wenn das aktuelle Verz. nicht das Home Verzeichnis ist.

Versuche mal unter Windows bei Octave 4.0.0:
Code:

cd ~
pkg install 'C:\Octave\Octave-4.0.0\src\io-2.2.7.tar.gz'
 


Da io auch Java verwendet, schau mal ob du eine Java JRE installiert hast. Wichtig ist, dass es die 32-bit JRE ist.

Beim Mac habe unter Mavericks Octave 3.8 via MacPorts installiert und io über das forge installiert. Ist aber schon etwas her
Private Nachricht senden Benutzer-Profile anzeigen
 
Neues Thema eröffnen Neue Antwort erstellen



Einstellungen und Berechtigungen
Beiträge der letzten Zeit anzeigen:

Du kannst Beiträge in dieses Forum schreiben.
Du kannst auf Beiträge in diesem Forum antworten.
Du kannst deine Beiträge in diesem Forum nicht bearbeiten.
Du kannst deine Beiträge in diesem Forum nicht löschen.
Du kannst an Umfragen in diesem Forum nicht mitmachen.
Du kannst Dateien in diesem Forum posten
Du kannst Dateien in diesem Forum herunterladen
.


goMatlab ist ein Teil des goForen-Labels
goForen.de goMATLAB.de goLaTeX.de


 Impressum  | Nutzungsbedingungen  | Datenschutz  | Werbung/Mediadaten | Studentenversion | FAQ | goMatlab RSS Button RSS


Copyright © 2007 - 2021 goMatlab.de | Dies ist keine offizielle Website der Firma The Mathworks
Partner: LabVIEWforum.de

MATLAB, Simulink, Stateflow, Handle Graphics, Real-Time Workshop, SimBiology, SimHydraulics, SimEvents, and xPC TargetBox are registered trademarks and The MathWorks, the L-shaped membrane logo, and Embedded MATLAB are trademarks of The MathWorks, Inc.